org.apache.solr.client.solrj.io.eval

## Class TopFeaturesEvaluator.Pair

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.TopFeaturesEvaluator.Pair

All Implemented Interfaces:
  Comparable<TopFeaturesEvaluator.Pair>

Enclosing class:
  TopFeaturesEvaluator

    public static class TopFeaturesEvaluator.Pair
    extends Object
    implements Comparable<TopFeaturesEvaluator.Pair>

### Constructor Summary

Constructors
Constructor and Description
`Pair(int index, Number value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(TopFeaturesEvaluator.Pair pair)`
`int` `getIndex()`
`Number` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pair

    public Pair(int index,
                Number value)

### Method Detail

#### compareTo

    public int compareTo(TopFeaturesEvaluator.Pair pair)

Specified by:
  `compareTo` in interface `Comparable<TopFeaturesEvaluator.Pair>`

#### getIndex

    public int getIndex()

#### getValue

    public Number getValue()